%define _disable_ld_no_undefined 1

%define fversion %{version}
%define major 0
%define decmajor 1
%define encmajor 1
%define libname %mklibname theora
%define libnamedec %mklibname theoradec %decmajor
%define libnameenc %mklibname theoraenc %decmajor
%define develname %mklibname -d theora

Summary: Theora video compression codec
Name: libtheora
Version: 1.1.1
Release: %mkrel 6
Source0: http://downloads.xiph.org/releases/theora/%{name}-%{fversion}.tar.xz
Source1: ltablex.sty
Patch0: libtheora-1.1.1-linking.patch
URL: http://www.theora.org/
License: BSD
Group: System/Libraries
BuildRequires: automake 
BuildRequires: autoconf2.5 
BuildRequires: libvorbis-devel
BuildRequires: libSDL-devel
BuildRequires: zlib-devel
BuildRequires: libpng-devel

%description
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed video format.

%package -n %lib
Summary: Theora video compression codec
Group: System/Libraries
Provides: %{name} = %{version}-%{release}
Provides: libtheora = %version-%release

%description -n %lib
Ogg Theora is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed video format.

%package -n %develname
Summary: Headers for developing programs that will use %{name}
Group: Development/Libraries
Requires: libogg-devel >= 1.0.1
Requires: %libname
Provides: %name-devel = %version-%release


%description -n %develname
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n theora-tools
Summary:	Command line tools for Theora videos
Group:		Video/Utilities

%description -n theora-tools
This package contains simple command line tools for use
with theora bitstreams.

%prep
%setup -q -n %name-%fversion
%apply_patches

cp %SOURCE1 doc/spec/

#fix build against libpng
sed -i -e 's,png_sizeof,sizeof,g' ./examples/png2theora.c

%build
autoreconf -vfi -Im4
%configure2_5x
%make

%install
rm -rf %{buildroot} installed-docs
%makeinstall_std docdir=%_datadir/doc/libtheora
mv %buildroot%_datadir/doc/libtheora installed-docs
rm -f installed-docs/doxygen-build.stamp

#tools
install -Dpm 755 examples/.libs/dump_video %{buildroot}%{_bindir}/theora_dump_video
install -Dpm 755 examples/.libs/encoder_example %{buildroot}%{_bindir}/theora_encode
install -Dpm 755 examples/.libs/player_example %{buildroot}%{_bindir}/theora_player
install -Dpm 755 examples/.libs/png2theora %{buildroot}%{_bindir}/png2theora


%files -n %libname
%doc README COPYING
%_libdir/libtheora.so.%{major}*
%_libdir/libtheoradec.so.%{decmajor}*
%_libdir/libtheoraenc.so.%{encmajor}*

%files -n %develname
%doc installed-docs/*
%_includedir/theora
%_libdir/libtheora*a
%_libdir/libtheora*so
%_libdir/pkgconfig/theora.pc
%_libdir/pkgconfig/theoradec.pc
%_libdir/pkgconfig/theoraenc.pc

%files -n theora-tools
%{_bindir}/*


%changelog
* Sat Sep 23 2017 adrianomorselli <adrianomorselli> 1.1.1-6uplos2017
- rebuild
- removed major for loop obsoletes libtheora libtheora0

* Sun May 14 2017 adrianomorselli <adrianomorselli> 1.1.1-5uplos2017
- fix updating over old package names
- rebuild for 2017
- convert to proper lib format

